Skip to main content
POST
AI の回答、またはそれらの回答が引用するページから算出した、ブランドごとのセンチメントをパーセンテージで示します。 センチメントは一度に 1 つのブランドについて計算されるため、asset は 必須 です。
  • source: "response" (デフォルト): AI の回答におけるセンチメント。指標は positive_sentiment、negative_sentiment、およびオプトインの occurrence です。
  • source: "citation": 引用ページごとに 1 行で、 positive_sentiment、negative_sentiment、およびモデル間で均衡化された citation_share を含みます。デフォルトでは citation_share で並べ替えられます。ページのセンチメントで並べ替えるには、 sort.field を明示的に positive_sentiment に設定してください。
  • 比較期間: comparison_start_date と comparison_end_date を追加します。 回答の行には前期間のセンチメント指標が含まれます。引用の行には、そのページの 前期間の citation_share が含まれます。
回答のセンチメントは、topic、region、model、prompt、persona、tag、theme、claim、run、 competitor から最大 2 つの group_by ディメンションに加えて、date をサポートします。 引用のセンチメントはページ単位のみで、group_by は受け付けません。 ページの母集団を絞り込むにはフィルタを使用してください。 どちらのソースも、model、topic、region、persona、prompt、tag などのプロンプトレイヤーのフィルタと、 トップレベルの theme / claim フィルタを受け付けます。引用の センチメントでは、さらに次のトップレベルフィルタも使用できます。
  • citation_category: is または in。値には組み込みカテゴリ (owned、competition、social、earned_media、earned_institutions、 pr_wire、other) またはカスタムカテゴリの値を指定できます。
  • page: 空でない値を 1 つ指定した contains_case_insensitive。正規化された ページ URL を検索します。
include_cited_websites: true は、theme または claim (あるいはその両方) でグループ化した 回答のセンチメントにのみ適用されます。
引用のセンチメントは引用ページについて記述したものです。モデルフィルタは、どのモデルの引用が ページの対象判定と引用シェアに寄与するかを変更しますが、 ページのセンチメントをモデル固有のセンチメントスコアに変えるものではありません。
v2 レポートを初めて使用する場合は、共通のリクエスト形式、フィルタツリー、グループ化、ページネーションについて フィルタリングと概念 を参照してください。
POST /v2/reports/sentiment/stream は回答と引用の両方のセンチメントに対応し、 Server-Sent Events を返します。 まず 1 つの summary イベント (info ブロック) が送信され、続いて行ごとに 1 つの result イベントが送信されます。 limit/cursor は無視され、デフォルトではすべての結果が返されます。上限を設けるには max_results を指定します。source: "citation" の場合、各 result は ページ分割エンドポイントの data で返されるものと同じページレベルの形式です。
Response (text/event-stream)

引用ページの例

このリクエストは、tryprofound.com を含む自社所有のページを、現在の引用シェアの 順に返します。引用レイヤーのリーフは、トップレベルの and の下で 他のフィルタと組み合わせます。
cURL
200

承認

X-API-Key
string
header
必須

ボディ

application/json
category_id
string<uuid>
必須
asset
string
必須

The brand name to analyze (sentiment is extracted on name, not id).

start_date
string
必須

YYYY-MM-DD, ET, inclusive

end_date
string
必須

YYYY-MM-DD, ET, inclusive

comparison_start_date
string | null

YYYY-MM-DD, ET, inclusive (with end).

comparison_end_date
string | null

YYYY-MM-DD, ET, inclusive (with start).

source
enum<string>
デフォルト:response
利用可能なオプション:
response,
citation
group_by
enum<string>[]
利用可能なオプション:
date,
model,
topic,
region,
prompt,
persona,
tag,
theme,
claim,
run,
competitor
metrics
enum<string>[] | null
利用可能なオプション:
positive_sentiment,
negative_sentiment,
occurrence,
citation_share
interval
enum<string>
デフォルト:day
利用可能なオプション:
day,
week,
month
filter
FilterNode · object | null

A leaf (field/op/value) or an and/or/not group.

sort
SortSpec · object
include_cited_websites
boolean
デフォルト:false

Return cited websites per row (only when grouping by theme/claim).

limit
integer | null

Page size; default 10, max 50.

必須範囲: 0 < x <= 50
max_results
integer | null

Stream endpoint only: cap the number of streamed rows (default: all).

必須範囲: x > 0
cursor
string | null

レスポンス

Successful Response

info
SentimentV2Info · object
必須
data
SentimentRow · object[]
必須